---
lang: en
title: 'API docs: socketio.socketioinvokemethodprovider'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketioinvokemethodprovider.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoInvokeMethodProvider](./socketio.socketioinvokemethodprovider.md)

## SocketIoInvokeMethodProvider class

<b>Signature:</b>

```typescript
export declare class SocketIoInvokeMethodProvider implements Provider<SocketIoInvokeMethod> 
```
<b>Implements:</b> [Provider](./context.provider.md)<!-- -->&lt;[SocketIoInvokeMethod](./socketio.socketioinvokemethod.md)

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)()](./socketio.socketioinvokemethodprovider._constructor_.md) |  | Constructs a new instance of the <code>SocketIoInvokeMethodProvider</code> class |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [action(context, controller, methodName, args)](./socketio.socketioinvokemethodprovider.action.md) |  |  |
|  [value()](./socketio.socketioinvokemethodprovider.value.md) |  |  |


